Uderc programming article aggregator sites

[SLVD] MySQL Query Browser (1.2.12) hangs when changing schma/database

Tags:
Answers: Have 11 answers
Advertisement
After a rather big upgrade yesterday (see paste below) I have got a problem with MySQL query browser which is found in package mysql-gui-tools. Everything else seems to be okay, but after upgrading mysql-gui-tools from 5.0r12-3 to 5.0r14-1 (..and now, after another update, its at 5.0r14-2) it is no longer able to refresh schema/databases. Every time I try to change/refresh schema in the schema menu to the right the program hangs and I have to kill it. A refresh icon appears as normal to the left of the schema I'm trying to refresh, but that icon too has frozen. I am however able to execute normal SELECT queries etc if I write the full "path" to the table in the SQL query, but when I try a USE query the same thing happens.
I have done some searching on the Internet about this and found this thread to be interesting. Too bad it's from July 2007..
I tried to downgrade to the old version of query browser, but then I got this problem:
/usr/bin/mysql-query-browser-bin: error while loading shared libraries: libmysqlclient_r.so.15: cannot open shared object file: No such file or directory
..So I guess theres a dependency problem here with the old version.
Has anyone else got any problem with the MySQL Query Browser after upgrade or has any ideas for a solution?
Log from pacman:
[2009-04-12 13:52] synchronizing package lists
[2009-04-12 13:52] starting full system upgrade
[2009-04-12 13:55] upgraded xf86-input-evdev (2.1.2-1 -> 2.2.1-1)
[2009-04-12 13:55] upgraded xorg-server (1.5.3-5 -> 1.6.0-3)
[2009-04-12 13:56] synchronizing package lists
[2009-04-12 13:56] starting full system upgrade
[2009-04-12 13:56] upgraded glib2 (2.20.0-1 -> 2.20.1-1)
[2009-04-12 13:56] upgraded libcap (1.10-2 -> 2.16-3)
[2009-04-12 13:56] upgraded avahi (0.6.24-1 -> 0.6.24-3)
[2009-04-12 13:56] upgraded cdrkit (1.1.9-1 -> 1.1.9-2)
[2009-04-12 13:56]
[2009-04-12 13:56] >>> Deluge's daemon is running with the "deluge" user. The default download directory is /srv/deluge/
[2009-04-12 13:56]
[2009-04-12 13:56] upgraded deluge (1.1.5-1 -> 1.1.6-3)
[2009-04-12 13:56] upgraded jack-audio-connection-kit (0.109.2-2 -> 0.116.2-1)
[2009-04-12 13:56] upgraded gstreamer0.10-bad-plugins (0.10.11-2 -> 0.10.11-3)
[2009-04-12 13:56] upgraded hdparm (9.12-1 -> 9.14-1)
[2009-04-12 13:56] upgraded iptables (1.4.2-1 -> 1.4.3.1-1)
[2009-04-12 13:56] upgraded kbproto (1.0.3-1 -> 1.0.3-2)
[2009-04-12 13:57] upgraded kdelibs (4.2.2-3 -> 4.2.2-4)
[2009-04-12 13:57] upgraded kernel26-firmware (2.6.28-1 -> 2.6.29-1)
[2009-04-12 13:59] >>> Updating module dependencies. Please wait ...
[2009-04-12 13:59] >>> MKINITCPIO SETUP
[2009-04-12 13:59] >>> ----------------
[2009-04-12 13:59] >>> If you use LVM2, Encrypted root or software RAID,
[2009-04-12 13:59] >>> Ensure you enable support in /etc/mkinitcpio.conf .
[2009-04-12 13:59] >>> More information about mkinitcpio setup can be found here:
[2009-04-12 13:59] >>> http://wiki.archlinux.org/index.php/Mkinitcpio
[2009-04-12 13:59]
[2009-04-12 13:59] >>> Generating initial ramdisk, using mkinitcpio. Please wait...
[2009-04-12 13:59] ==> Building image "default"
[2009-04-12 13:59] ==> Running command: /sbin/mkinitcpio -k 2.6.29-ARCH -c /etc/mkinitcpio.conf -g /boot/kernel26.img
[2009-04-12 13:59] :: Begin dry run
[2009-04-12 13:59] :: Parsing hook [base]
[2009-04-12 13:59] :: Parsing hook [udev]
[2009-04-12 13:59] :: Parsing hook [autodetect]
[2009-04-12 13:59] :: Parsing hook [pata]
[2009-04-12 13:59] :: Parsing hook [scsi]
[2009-04-12 13:59] :: Parsing hook [sata]
[2009-04-12 13:59] :: Parsing hook [usbinput]
[2009-04-12 13:59] :: Parsing hook [keymap]
[2009-04-12 13:59] :: Parsing hook [filesystems]
[2009-04-12 13:59] :: Generating module dependencies
[2009-04-12 13:59] :: Generating image '/boot/kernel26.img'...SUCCESS
[2009-04-12 13:59] ==> SUCCESS
[2009-04-12 13:59] ==> Building image "fallback"
[2009-04-12 13:59] ==> Running command: /sbin/mkinitcpio -k 2.6.29-ARCH -c /etc/mkinitcpio.conf -g /boot/kernel26-fallback.img -S autodetect
[2009-04-12 13:59] :: Begin dry run
[2009-04-12 13:59] :: Parsing hook [base]
[2009-04-12 13:59] :: Parsing hook [udev]
[2009-04-12 13:59] :: Parsing hook [pata]
[2009-04-12 13:59] :: Parsing hook [scsi]
[2009-04-12 13:59] :: Parsing hook [sata]
[2009-04-12 13:59] :: Parsing hook [usbinput]
[2009-04-12 13:59] :: Parsing hook [keymap]
[2009-04-12 13:59] :: Parsing hook [filesystems]
[2009-04-12 13:59] :: Generating module dependencies
[2009-04-12 14:00] :: Generating image '/boot/kernel26-fallback.img'...SUCCESS
[2009-04-12 14:00] ==> SUCCESS
[2009-04-12 14:00] upgraded kernel26 (2.6.28.8-1 -> 2.6.29.1-3)
[2009-04-12 14:00] upgraded klibc-udev (140-1 -> 141-1)
[2009-04-12 14:00] upgraded libavc1394 (0.5.3-1 -> 0.5.3-2)
[2009-04-12 14:00] upgraded libcddb (1.3.0-3 -> 1.3.2-1)
[2009-04-12 14:00] upgraded libdatrie (0.1.2-1 -> 0.2.1-1)
[2009-04-12 14:00] upgraded libdrm (2.3.1-3 -> 2.4.9-1)
[2009-04-12 14:00] upgraded libdvdread (0.9.7-1 -> 0.9.7-2)
[2009-04-12 14:00] upgraded libfontenc (1.0.4-1 -> 1.0.4-2)
[2009-04-12 14:00] upgraded libid3tag (0.15.1b-2 -> 0.15.1b-3)
[2009-04-12 14:00] upgraded libmatroska (0.8.1-1 -> 0.8.1-2)
[2009-04-12 14:00] upgraded libmpd (0.16.1-1 -> 0.18.0-1)
[2009-04-12 14:00] upgraded libmysqlclient (5.0.77-1 -> 5.1.33-1)
[2009-04-12 14:00] upgraded libogg (1.1.3-1 -> 1.1.3-2)
[2009-04-12 14:00] upgraded libsamplerate (0.1.6-1 -> 0.1.7-1)
[2009-04-12 14:00] upgraded libthai (0.1.9-1 -> 0.1.11-1)
[2009-04-12 14:00] upgraded libx11 (1.2-1 -> 1.2.1-1)
[2009-04-12 14:00] installed libftdi (0.15-1)
[2009-04-12 14:00] upgraded lirc-utils (0.8.4-1 -> 0.8.5pre2-1)
[2009-04-12 14:00] upgraded m4 (1.4.12-1 -> 1.4.13-1)
[2009-04-12 14:00] upgraded man-db (2.5.4-2 -> 2.5.5-1)
[2009-04-12 14:00] upgraded man-pages (3.19-1 -> 3.20-1)
[2009-04-12 14:00] upgraded nvidia-utils (180.29-3 -> 180.44-1)
[2009-04-12 14:00] installed dri2proto (1.99.3-1)
[2009-04-12 14:01] upgraded mesa (7.2-1 -> 7.4-1)
[2009-04-12 14:01] upgraded mpfr (2.3.2-2 -> 2.4.1-1)
[2009-04-12 14:01] upgraded mpg123 (1.7.1-4 -> 1.7.2-1)
[2009-04-12 14:01] upgraded mysql-clients (5.0.77-1 -> 5.1.33-1)
[2009-04-12 14:01] upgraded mysql (5.0.77-3 -> 5.1.33-1)
[2009-04-12 14:01] upgraded mysql-gui-tools (5.0r12-3 -> 5.0r14-1)
[2009-04-12 14:01] In order to use the new nvidia module, exit Xserver and unload it manually.
[2009-04-12 14:01] upgraded nvidia (180.29-3 -> 180.44-1)
[2009-04-12 14:01] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2009-04-12 14:01] upgraded pacman-mirrorlist (20090108-1 -> 20090405-1)
[2009-04-12 14:01] upgraded pango (1.24.0-1 -> 1.24.0-2)
[2009-04-12 14:01] upgraded php (5.2.9-2 -> 5.2.9-3)
[2009-04-12 14:01] upgraded pm-utils (1.2.4-3 -> 1.2.5-1)
[2009-04-12 14:01] installed perl-xyne-common (0.01-5)
[2009-04-12 14:01] installed perl-html-tagset (3.20-1)
[2009-04-12 14:01] installed perl-html-parser (3.60-1)
[2009-04-12 14:01] installed perl-libwww (5.825-1)
[2009-04-12 14:01] installed perl-xyne-arch (0.03-5)
[2009-04-12 14:01] ######################
[2009-04-12 14:01] ## IMPORTANT NOTICE ##
[2009-04-12 14:01] ######################
[2009-04-12 14:01] Powerpill options and configuration file syntax have changed with
[2009-04-12 14:01] version 16.0. Please remove old configuration files and use the
[2009-04-12 14:01] default configuration file at /etc/powerpill.conf as a template for new
[2009-04-12 14:01] ones. Please see the man page for information on the command-line options.
[2009-04-12 14:01] upgraded powerpill (15.12-1 -> 16.0-5)
[2009-04-12 14:01] upgraded python-numpy (1.2.1-4 -> 1.3.0-1)
[2009-04-12 14:02] upgraded qt (4.5.0-3 -> 4.5.0-4)
[2009-04-12 14:02] upgraded qt3 (3.3.8-9 -> 3.3.8-10)
[2009-04-12 14:02] upgraded redland (1.0.8-1 -> 1.0.8-3)
[2009-04-12 14:02] upgraded tdb (3.3.1-1 -> 3.3.3-1)
[2009-04-12 14:02] upgraded smbclient (3.3.1-1 -> 3.3.3-1)
[2009-04-12 14:02] upgraded subversion (1.6.0-2 -> 1.6.1-2)
[2009-04-12 14:02] upgraded syslog-ng (3.0.1-4 -> 3.0.1-6)
[2009-04-12 14:02] upgraded tzdata (2009d-1 -> 2009e-1)
[2009-04-12 14:02] upgraded udev (140-2 -> 141-1)
[2009-04-12 14:02] upgraded xf86-input-keyboard (1.3.2-1 -> 1.3.2-2)
[2009-04-12 14:02] upgraded xf86-input-mouse (1.3.0-1 -> 1.4.0-2)
[2009-04-12 14:02] upgraded xf86-video-vesa (2.1.0-1 -> 2.2.0-1)
[2009-04-12 14:02] upgraded xfce4-mpc-plugin (0.3.3-2 -> 0.3.3-3)
[2009-04-12 14:02] upgraded xorg-server-utils (7.4-3 -> 7.4-4)
[2009-04-12 14:02] upgraded xorg-utils (7.4-2 -> 7.4-3)
Last edited by siaco (2009-04-14 21:42:10)
Advertisement
The best answer: I found the error on this. In the current PGKBUILD found in AUR, the patch mysql-gui-tools.chema_change_freeze_bug.patch is no longer applied.
I downloaded all related files to this package and built it myself now, with some changes to PGKBUILD and the mysql-gui-tools.chema_change_freeze_bug.patch. It works again :-)
New PGKBUILD:
# $Id: PKGBUILD,v 1.14 2009/04/12 11:52:45 dsa Exp $
# Maintainer: Douglas Soares de Andrade <[email protected]>
# Contributor: Vinay S Shastry <[email protected]>
pkgname=mysql-gui-tools
pkgver=5.0r14
pkgrel=2
arch=('i686' 'x86_64')
pkgdesc="Set of programs to manage and interact with a MySQL server."
url="http://www.mysql.com/products/tools/"
license=('GPL')
source=(http://mirrors.uol.com.br/pub/mysql/Downloads/MySQLGUITools/$pkgname-$pkgver.tar.gz
bad-char.patch
mysql-gui-tools-sigc_2.1.1_api_fixes.diff
mysql-gui-tools-5.0_p12-deprecated-gtk+-api.patch
mysql-gui-tools-gcc43.patch
mysql-gui-tools.chema_change_freeze_bug.patch)
depends=('gtkmm' 'gtkhtml' 'libmysqlclient' 'pcre')
replaces=('mysql-administrator' 'mysql-query-browser')
conflicts=('mysql-administrator' 'mysql-query-browser')
provides=('mysql-gui-common' 'mysql-administrator' 'mysql-query-browser')
makedepends=('pkgconfig' 'lua' 'libxml2' 'libgnomeprint')
options=('!makeflags')
build() {
cd $startdir/src/$pkgname-$pkgver
# Patch from mysql.com to fix the freeze when selecting a schema
patch -p1 < ../mysql-gui-tools.chema_change_freeze_bug.patch || return 1
# Patch to make 5.0r14 compile
patch -Np1 < $startdir/src/bad-char.patch
patch -Np1 < $startdir/src/mysql-gui-tools-sigc_2.1.1_api_fixes.diff
patch -Np1 < $startdir/src/mysql-gui-tools-gcc43.patch
patch -Np0 < $startdir/src/mysql-gui-tools-5.0_p12-deprecated-gtk+-api.patch
cd $startdir/src/$pkgname-$pkgver/common
sh autogen.sh
./configure --prefix=/usr --datarootdir=/usr/share --with-gtkhtml=libgtkhtml-3.14 || return 1
make || return 1
make DESTDIR=$startdir/pkg install || return 1
cd ..
cp -R common mysql-gui-common
cd $startdir/src/$pkgname-$pkgver/administrator
sh autogen.sh
./configure --prefix=/usr --datarootdir=/usr/share --with-gtkhtml=libgtkhtml-3.14 || return 1
make || return 1
make DESTDIR=$startdir/pkg install || return 1
cd $startdir/src/$pkgname-$pkgver/query-browser
sh autogen.sh
./configure --prefix=/usr --datarootdir=/usr/share --with-gtkhtml=libgtkhtml-3.14 || return 1
make CFLAGS="${CFLAGS} -D_GNU_SOURCE" || return 1
make DESTDIR=$startdir/pkg install || return 1
#cd $startdir/src/$pkgname-$pkgver/mysql-workbench
#patch -p1 < ../../mysql-gui-tools-5.0_p12-workbench-lua.patch
#./configure --prefix=/usr --with-gtkhtml=libgtkhtml-3.14 || return 1
#make || return 1
#make DESTDIR=$startdir/pkg install
# Some adjusts to make mysql-workbench run
#cd $startdir/pkg/usr/bin
#mv mysql-workbench mysql-wb
#mv mysql-workbench-bin mysql-wb-bin
#install -m755 $startdir/src/mysql-workbench.sh mysql-workbench
#rm -rf $startdir/pkg/usr/lib/
# Fixed startup scripts
install -m755 $startdir/mysql-administrator $pkgdir/usr/bin
install -m755 $startdir/mysql-query-browser $pkgdir/usr/bin
md5sums=('b8efefbf20b7264c8f3afd34424467d7'
'4279c75bb5e6c2bfcb16c98817d55b80'
'4625629385142862cd01d37f814d5e80'
'33205d45329ab4fa4096b6b298a60b2c'
'1368384dac87bc0a64adb774ab2e6cbd'
'2ff840932405f7a6a6863f633a639fe9')
New mysql-gui-tools.chema_change_freeze_bug.patch: (only changes to paths in file. Don't know if this was really needed, but I belive so.)
diff -ruN mysql-gui-tools-5.0r11.ORIG/query-browser/source/linux/MQQueryDispatcher.cc mysql-gui-tools-5.0r11/query-browser/source/linux/MQQueryDispatcher.cc
--- mysql-gui-tools-5.0r11.ORIG/query-browser/source/linux/MQQueryDispatcher.cc 2007-02-21 01:31:19.000000000 +0000
+++ mysql-gui-tools-5.0r11/query-browser/source/linux/MQQueryDispatcher.cc 2007-11-09 15:31:38.000000000 +0000
@@ -558,8 +558,8 @@
Gtk::Main::instance()->run();
- while(!req->is_complete())
+// while(!req->is_complete())
+// ;
return sps;
I hope this helps anyone else who needs to fix this!